//
//  Modal.swift
//  GoldWars
//
//  Created by Niko Jochim on 01.05.20.
//  Copyright © 2020 SP2. All rights reserved.
//

import Foundation
import GameplayKit

class Modal:GKEntity{


	init(modaltype: ModalType, base: Base, anchorPoint: CGPoint) {
		super.init()

		switch modaltype{
			case .BaseDetails:
				addComponent(ModalBackgroundComponent(anchorPoint: anchorPoint))
				addComponent(ModalContentComponent(header: "Basis Information",
												   body: "Diese Basis enthält \(base.unitCount) Einheiten",
												   footer: "",
												   anchorPoint: anchorPoint))
			default:
				break
		}
	}

	required init?(coder: NSCoder) {
		fatalError("init(coder:) has not been implemented")
	}

}
